Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NavigationItem(False), CreatableItem(False)> _
<NonPersistent()> _
Public Class OrderOutHeader_Clone_View
    Inherits BaseObject
    Private _CustomersFrom As CustomersFrom
    Private _CustomersOrder As CustomersOrder
    Private _CustomersOrderDocuments As CustomersOrderDocuments
    Private _Contacts As Contacts

    Public Sub New(ByVal session As Session)
        MyBase.New(session)

    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()

    End Sub
    Property CustomersFrom As CustomersFrom
        Get
            Return _CustomersFrom
        End Get
        Set(value As CustomersFrom)
            SetPropertyValue("CustomersFrom", _CustomersFrom, value)
        End Set
    End Property
    Property CustomersOrder() As CustomersOrder
        Get
            Return _CustomersOrder
        End Get
        Set(ByVal value As CustomersOrder)
            SetPropertyValue("CustomersOrder", _CustomersOrder, value)
        End Set
    End Property
    <ImmediatePostData(True), DataSourceCriteria("CustomersOrder='@This.CustomersOrder'")>
    Property CustomersOrderDocuments As CustomersOrderDocuments
        Get
            Return _CustomersOrderDocuments
        End Get
        Set(value As CustomersOrderDocuments)
            SetPropertyValue("CustomersOrderDocuments", _CustomersOrderDocuments, value)
        End Set
    End Property
    <ImmediatePostData(True), DataSourceCriteria("Customers='@This.CustomersOrder'")>
    Property Contacts As Contacts
        Get
            Return _Contacts
        End Get
        Set(value As Contacts)
            SetPropertyValue("Contacts", _Contacts, value)
        End Set
    End Property
End Class
